Bug 104921 - LTVERSION seems to evaluate wrongly in %%build
LTVERSION seems to evaluate wrongly in %%build
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: bind (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-23 12:02 EDT by Kaj J. Niemi
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-24 14:47:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kaj J. Niemi 2003-09-23 12:02:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:

In %%build, when attempting to establish what libtool version is available the
comparison breaks with libtool 1.5:

% LTVERSION=`libtool --version |awk '{ print $4 }' |sed -e "s/\.//;s/\..*//g"`
% echo $LTVERSION
15
                                                                                
Free
software;
for


% rpm -qf `which libtool`
libtool-1.5-5


I fixed this as follows:

LTVERSION=`libtool --version | head -1 | awk '{ print $4 }' | sed -e
"s/\.//;s/\..*//g"`




Version-Release number of selected component (if applicable):
bind-9.2.2-23

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -bc bind.spec and look at output closely
2.
3.
Comment 1 Daniel Walsh 2003-09-24 14:47:20 EDT
Fixed in bind-9.2.2.P3-1.  Available in rawhide.

Note You need to log in before you can comment on or make changes to this bug.